<div class="report-display-container h-100">
    <block-ui message="Loading..."></block-ui>

    <div class="h-100">
        <h3 class="mb-3 mt-3" id="heading">
            {{reportType == PredefinedReport ? 'Pre-Defined ' : 'Custom '}}Reports
        </h3>

        <div class="content-container d-flex">

            <mat-card class="p-0" style="width: 440px;">
                <mat-card-content>
                    <mat-accordion class="report-mat-accordion">
                        <mat-expansion-panel class="report-mat-expansion-panel" [expanded]="true">
                            <mat-expansion-panel-header class="mb-0">
                                <mat-panel-title>
                                    {{report?.title}}
                                </mat-panel-title>
                                <mat-divider></mat-divider>
                            </mat-expansion-panel-header>

                            <div class="mat-expansion-panel-content">

                                <mat-form-field appearance="outline">
                                    <mat-label>Select Report</mat-label>
                                    <app-dropdown-tree-view></app-dropdown-tree-view>
                                </mat-form-field>

                                <mat-form-field appearance="outline">
                                    <mat-label>Report Name</mat-label>
                                    <input matInput type="text" />
                                </mat-form-field>

                                <mat-form-field appearance="outline">
                                    <mat-label>Report Description</mat-label>
                                    <textarea matInput ></textarea>
                                </mat-form-field>

                            </div>
                        </mat-expansion-panel>

                    </mat-accordion>

                    <mat-accordion class="report-mat-accordion">
                        <mat-expansion-panel class="report-mat-expansion-panel" [expanded]="true">
                            <mat-expansion-panel-header class="mb-0">
                                <mat-panel-title>
                                    Filter By
                                </mat-panel-title>
                                <mat-divider></mat-divider>
                            </mat-expansion-panel-header>

                            <div class="mat-expansion-panel-content">

                                <app-report-filter [reportId]="reportId" [subReportId]="subReportId"></app-report-filter>

                            </div>
                        </mat-expansion-panel>

                    </mat-accordion>

                    <mat-accordion class="report-mat-accordion">
                        <mat-expansion-panel class="report-mat-expansion-panel" [expanded]="true">
                            <mat-expansion-panel-header class="mb-0">
                                <mat-panel-title>
                                    Report Columns
                                </mat-panel-title>
                                <mat-divider></mat-divider>
                            </mat-expansion-panel-header>

                            <div class="mat-expansion-panel-content">

                                <mat-form-field appearance="outline">
                                    <mat-label>Columns</mat-label>
                                    <app-kendo-multi-select
                                            [data]="reportColumn"
                                            valueField="title"
                                            textField="title"
                                            [(ngModel)]="selectedColumns"
                                            [filterable]="true"
                                            [dropDownArrow]="true"></app-kendo-multi-select>
                                </mat-form-field>

                            </div>
                        </mat-expansion-panel>

                    </mat-accordion>
                </mat-card-content>
            </mat-card>

            <div style="overflow: auto">
                <kendo-grid class="ml-2" [scrollable]="'virtual'">
                    <kendo-grid-column *ngFor="let col of selectedColumns" [title]="col.title" [width]="200"></kendo-grid-column>
                </kendo-grid>
            </div>
        </div>
    </div>
</div>
